Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/authors/showAuthors.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/authors/showAuthors.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/authors/showAuthors.component.ts	(revision 58275)
@@ -4,22 +4,22 @@
 import {RouterHelper} from "../routerHelper.class";
 import {EnvProperties} from '../properties/env-properties';
 import {isPlatformBrowser} from "@angular/common";
-import {Keyword} from "../../searchPages/searchUtils/highlight/highlight.component";
 import {Author} from "../result-preview/result-preview";
+import {AlertModal} from "../modal/alert";
 
 @Component({
   selector: 'showAuthors',
   template: `
-    <div *ngIf="authors != undefined" class="uk-height-max-small uk-overflow-auto">
+    <div *ngIf="authors" class="uk-height-max-medium uk-overflow-auto">
       <span *ngFor="let author of authors.slice(0,numberOfAuthors) let i=index">
           <span *ngIf="!author.orcid || (properties.environment == 'production') || !testBrowser"
-                class="uk-text-small">
-            <highlight [element]="author.fullName" [keywords]="keywords" [field]="'author'"></highlight>
+                [class.uk-text-small]="small">
+            {{author.fullName}}
           </span>
           <a *ngIf="author.orcid && (properties.environment != 'production') && testBrowser"
              class="cursor-default"> <img src="assets/common-assets/common/ORCIDiD_icon16x16.png" alt="">{{" "}}
-            <span class="uk-text-small">
-              <highlight [element]="author.fullName" [keywords]="keywords" [field]="'author'"></highlight>
+            <span [class.uk-text-small]="small">
+              {{author.fullName}}
             </span>
           </a>
         <div *ngIf="author.orcid && (properties.environment != 'production')"
@@ -48,45 +48,60 @@
             <div class="uk-margin-top">
               Search <b>{{author.fullName}}</b> by <b>ORCID</b> in OpenAIRE's
             </div>
-            <div class="uk-text-center uk-margin-small uk-margin-large-left uk-margin-large-right">
+            <div *ngIf="properties.environment === 'development'"
+                 class="uk-text-center uk-margin-small uk-margin-large-left uk-margin-large-right">
               <a class="uk-button uk-button-small portal-button uk-padding uk-padding-remove-top uk-padding-remove-bottom uk-width-1-1"
+                 (click)="onClick()()"
                  [queryParams]="routerHelper.createQueryParams(['orcid','oc'],[quote(author['orcid']),'and'])"
-                 routerLinkActive="router-link-active" routerLink="/search/advanced/publications">
-                  Publications
+                 routerLinkActive="router-link-active" routerLink="/search/advanced/research-outcomes">
+                  Research outcomes
               </a>
             </div>
-            <div class="uk-text-center uk-margin-small uk-margin-large-left uk-margin-large-right">
-              <a class="uk-button uk-button-small portal-button uk-padding uk-padding-remove-top uk-padding-remove-bottom uk-width-1-1"
-                 [queryParams]="routerHelper.createQueryParams(['orcid','oc'],[quote(author['orcid']),'and'])"
-                 routerLinkActive="router-link-active" routerLink="/search/advanced/datasets">
-                  Research Data
-              </a>
-            </div>
-            <div class="uk-text-center uk-margin-small uk-margin-large-left uk-margin-large-right">
-              <a class="uk-button uk-button-small portal-button uk-padding uk-padding-remove-top uk-padding-remove-bottom uk-width-1-1"
-                 [queryParams]="routerHelper.createQueryParams(['orcid','oc'],[quote(author['orcid']),'and'])"
-                 routerLinkActive="router-link-active" routerLink="/search/advanced/software">
-                  Software
-              </a>
-            </div>
-            <div class="uk-text-center uk-margin-small uk-margin-large-left uk-margin-large-right">
-              <a class="uk-button uk-button-small portal-button uk-padding uk-padding-remove-top uk-padding-remove-bottom uk-width-1-1"
-                 [queryParams]="routerHelper.createQueryParams(['orcid','oc'],[quote(author['orcid']),'and'])"
-                 routerLinkActive="router-link-active" routerLink="/search/advanced/other">
-                  Other Research Products
-              </a>
-            </div>
-          </div
-          ><span>;{{" "}}</span>
+            <ng-container *ngIf="properties.environment !== 'development'">
+              <div class="uk-text-center uk-margin-small uk-margin-large-left uk-margin-large-right">
+                <a class="uk-button uk-button-small portal-button uk-padding uk-padding-remove-top uk-padding-remove-bottom uk-width-1-1"
+                   (click)="onClick()"
+                   [queryParams]="routerHelper.createQueryParams(['orcid','oc'],[quote(author['orcid']),'and'])"
+                   routerLinkActive="router-link-active" routerLink="/search/advanced/publications">
+                    Publications
+                </a>
+              </div>
+              <div class="uk-text-center uk-margin-small uk-margin-large-left uk-margin-large-right">
+                <a class="uk-button uk-button-small portal-button uk-padding uk-padding-remove-top uk-padding-remove-bottom uk-width-1-1"
+                   (click)="onClick()"
+                   [queryParams]="routerHelper.createQueryParams(['orcid','oc'],[quote(author['orcid']),'and'])"
+                   routerLinkActive="router-link-active" routerLink="/search/advanced/datasets">
+                    Research Data
+                </a>
+              </div>
+              <div class="uk-text-center uk-margin-small uk-margin-large-left uk-margin-large-right">
+                <a class="uk-button uk-button-small portal-button uk-padding uk-padding-remove-top uk-padding-remove-bottom uk-width-1-1"
+                   (click)="onClick()"
+                   [queryParams]="routerHelper.createQueryParams(['orcid','oc'],[quote(author['orcid']),'and'])"
+                   routerLinkActive="router-link-active" routerLink="/search/advanced/software">
+                    Software
+                </a>
+              </div>
+              <div class="uk-text-center uk-margin-small uk-margin-large-left uk-margin-large-right">
+                <a class="uk-button uk-button-small portal-button uk-padding uk-padding-remove-top uk-padding-remove-bottom uk-width-1-1"
+                   (click)="onClick()"
+                   [queryParams]="routerHelper.createQueryParams(['orcid','oc'],[quote(author['orcid']),'and'])"
+                   routerLinkActive="router-link-active" routerLink="/search/advanced/other">
+                    Other Research Products
+                </a>
+              </div>
+          </ng-container>
+        </div>
+        <span>;{{" "}}</span>
         </span>
       <span *ngIf="numberOfAuthors == authorsLimit && authors.length > authorsLimit">	... </span>
-      <span *ngIf="showAll && numberOfAuthors == authorsLimit && authors.length > authorsLimit">
-          <a (click)="numberOfAuthors = authors.length;">
-            view all {{authors.length | number}} authors
-          </a>
-        </span>
     </div>
-    <div *ngIf="authors != undefined && showAll && numberOfAuthors > authorsLimit" class="uk-width-1-1 uk-text-right">
+    <div *ngIf="authors && showAll && numberOfAuthors == authorsLimit && authors.length > authorsLimit" class="uk-width-1-1 uk-text-right">
+      <a (click)="numberOfAuthors = authors.length;">
+        View all {{authors.length | number}} authors
+      </a>
+    </div>
+    <div *ngIf="authors && showAll && numberOfAuthors > authorsLimit" class="uk-width-1-1 uk-text-right">
       <a (click)="numberOfAuthors = authorsLimit;">View less authors</a>
     </div>
   `
@@ -97,7 +112,8 @@
   @Input() authors: Author[];
   @Input() authorsLimit: number = 30;
   @Input() showAll: boolean = true;
-  @Input() keywords: Keyword[];
+  @Input() small: boolean = true;
+  @Input() modal: AlertModal;
   
   public numberOfAuthors: number;
   public properties: EnvProperties;
@@ -130,4 +146,10 @@
   public scroll() {
     HelperFunctions.scroll();
   }
+  
+  public onClick() {
+    if(this.modal) {
+      this.modal.cancel();
+    }
+  }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/authors/showAuthors.module.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/authors/showAuthors.module.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/authors/showAuthors.module.ts	(revision 58275)
@@ -1,14 +1,13 @@
-import { NgModule}      from '@angular/core';
-import { CommonModule } from '@angular/common';
-import { FormsModule }  from '@angular/forms';
-import { RouterModule } from '@angular/router';
+import {NgModule} from '@angular/core';
+import {CommonModule} from '@angular/common';
+import {FormsModule} from '@angular/forms';
+import {RouterModule} from '@angular/router';
 
 import {ShowAuthorsComponent} from './showAuthors.component';
-import {HighlightModule} from "../../searchPages/searchUtils/highlight/highlight.module";
 
 @NgModule({
   imports: [
-    CommonModule, FormsModule, RouterModule, HighlightModule
+    CommonModule, FormsModule, RouterModule
   ],
   declarations: [
     ShowAuthorsComponent
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchResearchResults.class.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchResearchResults.class.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchResearchResults.class.ts	(revision 58275)
@@ -183,12 +183,14 @@
     this.searchUtils.status = this.errorCodes.LOADING;
 
     var parameters;
-    if(resultsFrom == "collectedFrom") {
-      parameters = this.getEntityName(resultType,true)+"?fq=collectedfromdatasourceid exact "+'"'+id+'"';
-    } else if(resultsFrom == "hostedBy") {
-      parameters = this.getEntityName(resultType,true)+"?fq=resulthostingdatasourceid exact "+'"'+id+'"';
-    }
+    // if(resultsFrom == "collectedFrom") {
+    //   parameters = this.getEntityName(resultType,true)+"?fq=collectedfromdatasourceid exact "+'"'+id+'"';
+    // } else if(resultsFrom == "hostedBy") {
+    //   parameters = this.getEntityName(resultType,true)+"?fq=resulthostingdatasourceid exact "+'"'+id+'"';
+    // }
 
+    parameters = this.getEntityName(resultType,true)+"?fq=collectedfromdatasourceid exact "+'"'+id+'"' + "or resulthostingdatasourceid exact "+'"'+id+'"';
+
     if(parameters != "") {
 
       this._searchResearchResultsService.searchForDataproviders(this.getEntityName(resultType,false), parameters, page, size, properties).subscribe(
@@ -226,7 +228,8 @@
   public getAggregatorResults(resultType: string, id:string, page: number, size: number, properties:EnvProperties){
     this.searchUtils.status = this.errorCodes.LOADING;
 
-    this.subResults = this._searchResearchResultsService.searchAggregators(this.getEntityName(resultType,false), id, '&fq=collectedfromdatasourceid exact "'+id+'"',"&refine=true&fields=resulthostingdatasource" , page, size, properties).subscribe(
+    // this.getEntityName(resultType,false)
+    this.subResults = this._searchResearchResultsService.searchAggregators(resultType, id, '&fq=(collectedfromdatasourceid exact "'+id+'" or resulthostingdatasourceid exact "'+id+'")',"&refine=true&fields=resulthostingdatasource&type="+resultType , page, size, properties).subscribe(
       data => {
         this.results = data;
         this.searchUtils.totalResults = this.results.length;
